# TemplateLoader

Util for loading template files

## Constructor

#### new TemplateLoader()

Source:
  - lib/TemplateLoader.js, line 8

### Members

#### (static) encoding :string

Default file encoding for templates

Default Value:
  - utf8
Source:
  - lib/TemplateLoader.js, line 46

#### (static) extname :string

Default extension for template files

Default Value:
  - .ejs
Source:
  - lib/TemplateLoader.js, line 54

#### (static) templatesPath :string

Path to templates

Default Value:
  - path-to-module/src/assets/templates
Source:
  - lib/TemplateLoader.js, line 38

### Methods

#### (static) .load(dirPathopt) → {Object}

##### Parameters:

`dirPath` ( string ) <optional>

Defaults to TemplateLoader.templatesPath

Source:
  - lib/TemplateLoader.js, line 14